Bug 959077 - (CVE-2013-2003) CVE-2013-2003 libXcursor: Integer overflow leading to heap-based buffer overflow
CVE-2013-2003 libXcursor: Integer overflow leading to heap-based buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130523,repor...
: Security
Depends On: 966820 1078021
Blocks: 959130 1101912
  Show dependency treegraph
 
Reported: 2013-05-03 02:17 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-10-17 03:40 EDT (History)
5 users (show)

See Also:
Fixed In Version: libXcursor 1.1.14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-16 02:17:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-03 02:17:12 EDT
An integer overflow leading to heap-based buffer overflow was found in the _XcursorFileHeaderCreate() function of libXcursor a simple library designed to help locate and load cursors. If an X client read a malicious user-specified config file, when connecting to an X server, it could result in arbitrary code execution with the privileges of the user running the X client process.
Comment 3 Jan Lieskovsky 2013-05-23 12:09:32 EDT
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3
Comment 4 Huzaifa S. Sidhpurwala 2013-05-23 23:53:15 EDT
Created libXcursor tracking bugs for this issue

Affects: fedora-all [bug 966820]
Comment 5 Fedora Update System 2013-05-26 23:29:25 EDT
libXcursor-1.1.13-5.20130524git8f677eaea.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-06-02 23:08:45 EDT
libXcursor-1.1.13-5.20130524git8f677eaea.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Huzaifa S. Sidhpurwala 2013-06-04 23:35:30 EDT
This issue affects the version of libXcursor as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 8 Huzaifa S. Sidhpurwala 2013-06-04 23:47:57 EDT
Statement:

This issue affects the libXcursor package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/
Comment 9 Jan Lieskovsky 2013-06-17 05:51:04 EDT
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23
Comment 11 errata-xmlrpc 2014-10-14 01:05:23 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html

Note You need to log in before you can comment on or make changes to this bug.